VRECustomAttributes (gCube Join VRE Portlet 2.0.0-SNAPSHOT API)
Date: 2016-03-17

org.gcube.portlets.user.joinvre.shared

## Class VRECustomAttributes

- java.lang.Object
- - org.gcube.portlets.user.joinvre.shared.VRECustomAttributes

-     public class VRECustomAttributes
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VRECustomAttributes()`
    `VRECustomAttributes(boolean isUponRequest, boolean isExternal, String urlIfAny)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getUrlIfAny()`
    `int` | `hashCode()`
    `boolean` | `isExternal()`
    `boolean` | `isUponRequest()`
    `void` | `setExternal(boolean isExternal)`
    `void` | `setUponRequest(boolean isUponRequest)`
    `void` | `setUrlIfAny(String urlIfAny)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VRECustomAttributes

          public VRECustomAttributes()

    - #### VRECustomAttributes

          public VRECustomAttributes(boolean isUponRequest,
                             boolean isExternal,
                             String urlIfAny)

  - ### Method Detail

    - #### isUponRequest

          public boolean isUponRequest()

    - #### setUponRequest

          public void setUponRequest(boolean isUponRequest)

    - #### isExternal

          public boolean isExternal()

    - #### setExternal

          public void setExternal(boolean isExternal)

    - #### getUrlIfAny

          public String getUrlIfAny()

    - #### setUrlIfAny

          public void setUrlIfAny(String urlIfAny)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2016. All Rights Reserved.